# HG changeset patch
# Node ID 3725ee736cd0
# Parent  66b49e545c53
diff --git a/AUTHORS b/AUTHORS
--- a/AUTHORS
+++ b/AUTHORS
@@ -1,4 +1,4 @@
-Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+Pidgin The Universal Chat Client
 ==========================================================================
 
 For a complete list of all contributors, see the COPYRIGHT file.
diff --git a/COPYRIGHT b/COPYRIGHT
--- a/COPYRIGHT
+++ b/COPYRIGHT
@@ -1,4 +1,4 @@
-Pidgin, Finch, and libpurple
+Pidgin and libpurple
 
 This file is intended to be a comprehensive list of contributors to
 this project.  If you have contributed to this project then you deserve
diff --git a/ChangeLog b/ChangeLog
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,4 @@
-Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+Pidgin: The Universal Chat Client
 
 version 3.0.0 (??/??/????):
 	General:
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -1,7 +1,7 @@
-Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+Pidgin: The Universal Chat Client
 
-This file intends to list all changes to libpurple, Pidgin, and Finch's public
-API. We sometimes forget to add changes to this file--sorry.
+This file intends to list all changes to libpurple and Pidgin's public API. We
+sometimes forget to add changes to this file--sorry.
 
 If your plugin fails to build with a new major version (e.g. 3.0.0) we
 suggest checking this list first, in case a function was simply renamed.
@@ -1281,47 +1281,6 @@
 		* smiley_parse_markup
 		* smiley_theme
 
-	Finch:
-		Added:
-		* FinchPluginInfo, inherits PurplePluginInfo
-
-		Changed:
-		* gntft.h file renamed to gntxfer.h
-		* gnt_append_menu_action renamed to finch_append_menu_action
-		* gnt_ui_init renamed to finch_ui_init
-		* gnt_ui_uninit renamed to finch_ui_uninit
-
-		Removed:
-		* finch_accounts_get_ui_ops
-		* finch_idle_get_ui_ops
-		* finch_pounce_editor_show
-		* finch_pounces_get_handle
-		* finch_pounces_init
-		* finch_pounces_manager_hide
-		* finch_pounces_manager_show
-		* finch_pounces_uninit
-		* finch_sound_get_active_profile
-		* finch_sound_get_profiles
-		* finch_sound_get_ui_ops
-		* finch_sound_is_enabled
-		* finch_sound_set_active_profile
-		* finch_sounds_show_all
-
-	libgnt:
-		Changed:
-		* ENTRY_CHAR renamed to GNT_ENTRY_CHAR
-		* g_hash_table_duplicate renamed to gnt_hash_table_duplicate
-		* GDupFunc renamed to GntDuplicateFunc
-
-		Removed:
-		* _GntFileType
-		* _GntKeyPressMode
-		* _GntMouseEvent
-		* _GntParamFlags
-		* _GntProgressBarOrientation
-		* _GntTreeColumnFlag
-		* _GntWidgetFlags
-
 version 2.11.0:
 	libpurple:
 		Added:
diff --git a/NEWS b/NEWS
--- a/NEWS
+++ b/NEWS
@@ -1,4 +1,4 @@
-Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+Pidgin: The Universal Chat Client
 
 Our development blog is available at: https://planet.pidgin.im
 
diff --git a/README b/README
--- a/README
+++ b/README
@@ -1,6 +1,6 @@
 [![pidgin wordmark](img/wordmark.png)](https://pidgin.im/)
 
-# Purple, Pidgin and Finch
+# Purple and Pidgin
 
 libpurple is a library intended to be used by programmers seeking to write an
 IM client that connects to many IM networks. It comes with support for Bonjour,
@@ -9,9 +9,6 @@
 
 Pidgin is a graphical IM client written in C, which uses the GTK toolkit.
 
-Finch is a text-based IM client written in C, which uses
-[libgnt](https://keep.imfreedom.org/libgnt/libgnt).
-
 These programs are not endorsed by, nor affiliated with, any proprietary
 instant messaging company in any way.
 
@@ -61,13 +58,6 @@
 meson devenv pidgin3
 ```
 
-If you're working against Finch 3 you can use:
-
-```
-cd build
-meson devenv finch3
-```
-
 Obviously you're still free to install into your system directly, but then
 you'll most likely end up having orphaned files laying around that our build
 system doesn't know how to remove once they're removed from our code base. This
@@ -80,9 +70,8 @@
 
 ## Plugins
 
-libpurple, Pidgin, and Finch ship with a number of plugins, but you can find
-additional third party plugins at
-[pidgin.im/plugins](https://pidgin.im/plugins).
+libpurple and Pidgin ship with a number of plugins, but you can find additional
+third party plugins at [pidgin.im/plugins](https://pidgin.im/plugins).
 
 ## Developing
 
diff --git a/doc/meson.build b/doc/meson.build
--- a/doc/meson.build
+++ b/doc/meson.build
@@ -9,11 +9,3 @@
 	    install_dir : get_option('mandir') / 'man1')
 endif
 
-if enable_consoleui
-	configure_file(
-	    input : 'finch3.1.in',
-	    output : 'finch3.1',
-	    configuration : man_conf,
-	    install : true,
-	    install_dir : get_option('mandir') / 'man1')
-endif
diff --git a/doc/pidgin3.1.in b/doc/pidgin3.1.in
--- a/doc/pidgin3.1.in
+++ b/doc/pidgin3.1.in
@@ -548,8 +548,6 @@
 \fIhttps://pidgin.im/\fR
 .br
 \fIhttps://developer.pidgin.im/\fR
-.br
-\fBfinch\fR(1)
 
 .SH LICENSE
 This program is free software; you can redistribute it and/or modify
diff --git a/doc/reference/meson.build b/doc/reference/meson.build
--- a/doc/reference/meson.build
+++ b/doc/reference/meson.build
@@ -9,13 +9,7 @@
 	pidgin_doc = []
 endif
 
-if enable_consoleui
-	subdir('finch')
-else
-	finch_doc = []
-endif
-
-alias_target('doc', libpurple_doc, protocols_doc, pidgin_doc, finch_doc)
+alias_target('doc', libpurple_doc, protocols_doc, pidgin_doc)
 
 endif
 
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -5,11 +5,11 @@
 #
 # micro += 1
 #
-# If any functions have been added to libpurple, Pidgin, or Finch:
+# If any functions have been added to libpurple or Pidgin:
 #   micro = 0
 #   minor += 1
 #
-# If backwards compatibility has been broken in libpurple, Pidgin, or Finch:
+# If backwards compatibility has been broken in libpurple or Pidgin:
 #   micro = 0
 #   minor = 0
 #   major += 1
@@ -124,8 +124,6 @@
 		 f'wpurple_lib_dir("purple-@purple_major_version@")')
 	conf.set('PIDGIN_LIBDIR',
 		 f'wpurple_lib_dir("pidgin-@purple_major_version@")')
-	conf.set('FINCH_LIBDIR',
-		 f'wpurple_lib_dir("finch-@purple_major_version@")')
 
 	conf.set('PURPLE_DATADIR', 'wpurple_data_dir()')
 	conf.set('PURPLE_SYSCONFDIR', 'wpurple_sysconf_dir()')
@@ -141,8 +139,6 @@
 	                common_libdir / f'purple-@purple_major_version@')
 	conf.set_quoted('PIDGIN_LIBDIR',
 	                common_libdir / f'pidgin-@purple_major_version@')
-	conf.set_quoted('FINCH_LIBDIR',
-	                common_libdir / f'finch-@purple_major_version@')
 endif
 
 abslibdir = get_option('prefix') / get_option('libdir')
@@ -150,8 +146,6 @@
 conf.set_quoted('PURPLE_PLUGINDIR', PURPLE_PLUGINDIR)
 PIDGIN_PLUGINDIR = abslibdir / f'pidgin-@purple_major_version@'
 conf.set_quoted('PIDGIN_PLUGINDIR', PIDGIN_PLUGINDIR)
-FINCH_PLUGINDIR = abslibdir / f'finch-@purple_major_version@'
-conf.set_quoted('FINCH_PLUGINDIR', FINCH_PLUGINDIR)
 
 # Windows and Haiku do not use libm for the math functions, they are part
 # of the C library
@@ -205,16 +199,6 @@
 
 
 #######################################################################
-# Check if we should compile with X support
-#######################################################################
-if IS_WIN32
-	x11 = disabler()
-else
-	x11 = dependency('x11', required : get_option('x'))
-endif
-conf.set('HAVE_X11', x11.found())
-
-#######################################################################
 # Check for LibXML2 (required)
 #######################################################################
 libxml = dependency('libxml-2.0', version : '>= 2.6.0')
@@ -290,7 +274,6 @@
 add_project_arguments(
     '-DPURPLE_DISABLE_DEPRECATED',
     '-DPIDGIN_DISABLE_DEPRECATED',
-    '-DFINCH_DISABLE_DEPRECATED',
     '-DGNT_DISABLE_DEPRECATED',
     language : 'c')
 if get_option('buildtype') != 'plain' and compiler.get_id() == 'gcc'
@@ -434,7 +417,6 @@
 
 subdir('libpurple')
 subdir('purple-history')
-subdir('finch')
 subdir('pidgin')
 subdir('protocols')
 subdir('doc')
@@ -466,8 +448,6 @@
 # is merged and in a release that we require.
 summary({
     'GTK': get_option('gtkui'),
-    'console': enable_consoleui,
-    'X11 support': x11.found(),
 }, section: 'User Interfaces', bool_yn: true)
 
 summary({
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -1,26 +1,3 @@
-finch/finch.c
-finch/finchui.c
-finch/gntaccount.c
-finch/gntblist.c
-finch/gntconn.c
-finch/gntconv.c
-finch/gntdebug.c
-finch/gntidle.c
-finch/gntmedia.c
-finch/gntmenuutil.c
-finch/gntnotify.c
-finch/gntplugin.c
-finch/gntprefs.c
-finch/gntrequest.c
-finch/gntroomlist.c
-finch/gntstatus.c
-finch/gntxfer.c
-finch/libfinch.c
-finch/plugins/gntclipboard/gntclipboard.c
-finch/plugins/gntgf/gntgf.c
-finch/plugins/gnttinyurl/gnttinyurl.c
-finch/plugins/grouping/grouping.c
-finch/plugins/lastlog/lastlog.c
 libpurple/accounts.c
 libpurple/action.c
 libpurple/blistnode.c
diff --git a/po/README b/po/README
--- a/po/README
+++ b/po/README
@@ -1,2 +1,2 @@
-For information on translating Pidgin, libpurple, and Finch, please see
-our tranlsation page at https://pidgin.im/development/i18n/
+For information on translating Pidgin and libpurple please see our translation
+page at https://pidgin.im/development/i18n/
